<?php

namespace Layerdrops\Ostech\Widgets;


class Tab extends \Elementor\Widget_Base
{
	public function get_name()
	{
		return 'ostech-tab';
	}

	public function get_title()
	{
		return __('Tab', 'ostech-addon');
	}

	public function get_icon()
	{
		return 'eicon-cogs';
	}

	public function get_categories()
	{
		return ['ostech-category'];
	}

	protected function register_controls()
	{
		$this->start_controls_section(
			'layout_section',
			[
				'label' => __('Layout', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'layout_type',
			[
				'label' => __('Select Layout', 'ostech-addon'),
				'type' => \Elementor\Controls_Manager::SELECT2,
				'default' => 'layout_one',
				'options' => [
					'layout_one' => __('Layout One', 'ostech-addon'),
				]
			]
		);

		$this->end_controls_section();

		include ostech_get_elementor_option('tab-one-option.php');

		//General style
		$this->start_controls_section(
			'general_style',
			[
				'label' => esc_html__('Content Style', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

		ostech_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .tabs-one__content h3', ['layout_one']);
		ostech_elementor_general_style_options($this, 'Summary', '{{WRAPPER}} .tabs-one__content p', ['layout_one']);


		$this->end_controls_section();

		//button style
		$this->start_controls_section(
			'button_style',
			[
				'label' => esc_html__('Button Style', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
				'condition' => [
					'layout_type' => 'layout_one'
				]
			]
		);

		ostech_elementor_button_style_options($this, 'Tab Button', '{{WRAPPER}} .tabs-one__inner .tab-buttons .tab-btn span', '{{WRAPPER}} .tabs-one__inner .tab-buttons .tab-btn span', ['layout_one']);

		$this->end_controls_section();
	}

	protected function render()
	{
		$settings = $this->get_settings_for_display();
		include ostech_get_template('tab-one.php');
	}
}
